oracle.jdbc

## Interface OracleTypeMetaData.Opaque

All Superinterfaces:
  OracleTypeMetaData

All Known Implementing Classes:
  OpaqueDescriptor

Enclosing interface:
  OracleTypeMetaData

    public static interface OracleTypeMetaData.Opaque
    extends OracleTypeMetaData

This nested interface defines additional methods for opaque types

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleTypeMetaData

`OracleTypeMetaData.Array, OracleTypeMetaData.ArrayStorage, OracleTypeMetaData.Kind, OracleTypeMetaData.Opaque, OracleTypeMetaData.Struct`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getMaxLength()` Return the maximun number of bytes this opaque object can hold.
`boolean` `hasFixedSize()` Indicates whether the Opaque type has fixed size.
`boolean` `hasUnboundedSize()` Indicates whether the Opaque type has unbounded size ().
`boolean` `isModeledInC()` Indicates whether the Opaque type is modelled in C language.
`boolean` `isTrustedLibrary()` Indicates whether the Trusted Library implementing Support functions are specified for the Opaque type.

### Methods inherited from interface oracle.jdbc.OracleTypeMetaData

`getKind, getName, getSchemaName, getSQLName, getTypeCode, getTypeCodeName`

### Method Detail

#### getMaxLength

    long getMaxLength()
               throws SQLException

Return the maximun number of bytes this opaque object can hold.

Returns:
  the maximum opaque size; return 0 if unbounded.
Throws:
  `SQLException`

#### isTrustedLibrary

    boolean isTrustedLibrary()
                      throws SQLException

Indicates whether the Trusted Library implementing Support functions are specified for the Opaque type. This is the case for internal Opaque Types that are modeled in C.

Returns:
  true if the Trusted Library implementing Support functions are specified; false, otherwise.
Throws:
  `SQLException`

#### isModeledInC

    boolean isModeledInC()
                  throws SQLException

Indicates whether the Opaque type is modelled in C language.

Returns:
  true if the Opaque type is modelled in C language; false, otherwise.
Throws:
  `SQLException`

#### hasUnboundedSize

    boolean hasUnboundedSize()
                      throws SQLException

Indicates whether the Opaque type has unbounded size ().

Returns:
  true if the Opaque type hsa unbounded size; false, otherwise.
Throws:
  `SQLException`

#### hasFixedSize

    boolean hasFixedSize()
                  throws SQLException

Indicates whether the Opaque type has fixed size.

Returns:
  true if the Opaque type has fixed size; false, otherwise.
Throws:
  `SQLException`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.